Subject: x86: Network boot flopppy disk?

From: Andrew Cagney <[email-masked]>

Hello,

Has any one ever made a x86 floppy disk that, when booted, will in turn
boot the machine `diskless' across the network using bootp/tftp/nfs/...?
 This should hopefully avoid the need to burn netboot prom's for each
ethernet card.

					Andrew

---

From: [email-masked] (Andrew Gillham)

>  This should hopefully avoid the need to burn netboot prom's for each

Yes, I have.  I am netbooting a 486DX/33 with a 3c507 card, off of
another netbsd box.  I tried to set it up with a 3c509, but I didn't
know how to configure the correct port, as ifconfig sure isn't
going to run in the kernel... :-)  I imagine I could change the
if_ep.c to hardcode the 'link0 link1' stuff, but I didn't want to
mess with it.  You probably will want to modify the boot/autoconf
code so it doesn't do the "insert filesystem disk" request and
sit there waiting for a keystroke!
(maybe NetBSD supports the ep0 'altphys' config file option like
FreeBSD?)

Anyway, it works ok, though it seems a bit slow on i/o.

-Andrew

---

From: Greg Spiegelberg <[email-masked]>

# > Hello,
# > 
# > Has any one ever made a x86 floppy disk that, when booted, will in turn
# > boot the machine `diskless' across the network using bootp/tftp/nfs/...?
# >  This should hopefully avoid the need to burn netboot prom's for each
# > ethernet card.
# 
# Yes, I have.  I am netbooting a 486DX/33 with a 3c507 card, off of
# another netbsd box.  I tried to set it up with a 3c509, but I didn't
# know how to configure the correct port, as ifconfig sure isn't
# going to run in the kernel... :-)  I imagine I could change the
# if_ep.c to hardcode the 'link0 link1' stuff, but I didn't want to
# mess with it.  You probably will want to modify the boot/autoconf
# code so it doesn't do the "insert filesystem disk" request and
# sit there waiting for a keystroke!
# (maybe NetBSD supports the ep0 'altphys' config file option like
# FreeBSD?)
# 
# Anyway, it works ok, though it seems a bit slow on i/o.

Has anyone ever gotten something similar to this work using
the Netware 3.1x autobooting (ie. remote reset) with LANWORKS
boot proms?

If so, how did you create the boot image in such a way that
Netware accepted it and afterwards made the diskless machine
reference the NetBSD server?

Tanx,
Greg
-- 
----
Greg "TwoTone" Spiegelberg		   SAIC UNIX Systems Administrator	
RidgeNet, Ridgecrest, Ca.		   [email-masked] 
	 My views are hardly reasonable or credible thus are
		contrary to others including SAIC's.